
Foreman - Bug #25208

Delete button on host page does not redirect to "All Hosts" when successful

10/15/2018 02:32 PM - Quirin Pamp

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.18.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I delete a host via the button from its host page, I get a "Host not found Please try to update your request" warning because

foreman is trying to access the host page of the now deleted host.

Expected beahviour: A redirect to the all hosts page.

Apparently this bug has existed before, way back in release 1.7 (where it was fixed):

https://projects.theforeman.org/issues/8638

Related issues:

Related to Katello - Bug #24584: "Host not found" error after deleting host Closed

History

#1 - 10/15/2018 02:35 PM - Quirin Pamp

- Subject changed from Delete button on host page does not redirect away  to Delete button on host page does not redirect to "All Hosts" when

successful

When I delete a host via the button from its host page, I get a "Host not found Please try to update your request" warning because foreman is trying to

access the host page of the now deleted host.

Expected beahviour: A redirect to the all hosts page.

I am running Foreman 1.18.2

Apparently this bug has existed before, way back in release 1.7 (where it was fixed):

https://projects.theforeman.org/issues/8638

#2 - 10/22/2018 11:31 AM - Timo Goebel

- Related to Bug #24584: "Host not found" error after deleting host added

#3 - 10/22/2018 11:32 AM - Timo Goebel

Is this a Katello setup? There we have #24584.

#4 - 10/22/2018 11:42 AM - Quirin Pamp

Timo Goebel wrote:

Is this a Katello setup? There we have #24584.

 Yup. Looks like I submitted a duplicate bug report.

#5 - 10/29/2018 04:20 PM - Timo Goebel

- Status changed from New to Duplicate

- Triaged changed from No to Yes
